Loading...
Searching...
No Matches
table.h File Reference

Go to the source code of this file.

## Data Structures

struct | _FatTable

## Functions

FatCluster | fat_table_alloc_check_cluster (FatTable *ft, PedFileSystem *fs)
FatCluster | fat_table_alloc_cluster (FatTable *ft)
void | fat_table_clear (FatTable *ft)
int | fat_table_compare (const FatTable *a, const FatTable *b)
int | fat_table_count_stats (FatTable *ft)
void | fat_table_destroy (FatTable *ft)
FatTable * | fat_table_duplicate (const FatTable *ft)
int | fat_table_entry_size (FatType fat_type)
FatCluster | fat_table_get (const FatTable *ft, FatCluster cluster)
int | fat_table_is_active (const FatTable *ft, FatCluster cluster)
int | fat_table_is_available (const FatTable *ft, FatCluster cluster)
int | fat_table_is_bad (const FatTable *ft, FatCluster cluster)
int | fat_table_is_empty (const FatTable *ft, FatCluster cluster)
int | fat_table_is_eof (const FatTable *ft, FatCluster cluster)
FatTable * | fat_table_new (FatType fat_type, FatCluster size)
int | fat_table_read (FatTable *ft, const PedFileSystem *fs, int table_num)
int | fat_table_set (FatTable *ft, FatCluster cluster, FatCluster value)
int | fat_table_set_avail (FatTable *ft, FatCluster cluster)
int | fat_table_set_bad (FatTable *ft, FatCluster cluster)
int | fat_table_set_cluster_count (FatTable *ft, FatCluster new_cluster_count)
int | fat_table_set_eof (FatTable *ft, FatCluster cluster)
int | fat_table_write (const FatTable *ft, PedFileSystem *fs, int table_num)
int | fat_table_write_all (const FatTable *ft, PedFileSystem *fs)

## Function Documentation

## fat_table_alloc_check_cluster()

FatCluster fat_table_alloc_check_cluster | ( | FatTable * | ft,
|  | PedFileSystem * | fs )

extern

## fat_table_alloc_cluster()

FatCluster fat_table_alloc_cluster | ( | FatTable * | ft | ) |

extern

## fat_table_clear()

void fat_table_clear | ( | FatTable * | ft | ) |

extern

## fat_table_compare()

int fat_table_compare | ( | const FatTable * | a,
|  | const FatTable * | b )

extern

## fat_table_count_stats()

int fat_table_count_stats | ( | FatTable * | ft | ) |

extern

## fat_table_destroy()

void fat_table_destroy | ( | FatTable * | ft | ) |

extern

## fat_table_duplicate()

FatTable * fat_table_duplicate | ( | const FatTable * | ft | ) |

extern

## fat_table_entry_size()

int fat_table_entry_size | ( | FatType | fat_type | ) |

extern

## fat_table_get()

FatCluster fat_table_get | ( | const FatTable * | ft,
|  | FatCluster | cluster )

extern

## fat_table_is_active()

int fat_table_is_active | ( | const FatTable * | ft,
|  | FatCluster | cluster )

extern

## fat_table_is_available()

int fat_table_is_available | ( | const FatTable * | ft,
|  | FatCluster | cluster )

extern

## fat_table_is_bad()

int fat_table_is_bad | ( | const FatTable * | ft,
|  | FatCluster | cluster )

extern

## fat_table_is_empty()

int fat_table_is_empty | ( | const FatTable * | ft,
|  | FatCluster | cluster )

extern

## fat_table_is_eof()

int fat_table_is_eof | ( | const FatTable * | ft,
|  | FatCluster | cluster )

extern

## fat_table_new()

FatTable * fat_table_new | ( | FatType | fat_type,
|  | FatCluster | size )

extern

## fat_table_read()

int fat_table_read | ( | FatTable * | ft,
|  | const PedFileSystem * | fs,
|  | int | table_num )

extern

## fat_table_set()

int fat_table_set | ( | FatTable * | ft,
|  | FatCluster | cluster,
|  | FatCluster | value )

extern

## fat_table_set_avail()

int fat_table_set_avail | ( | FatTable * | ft,
|  | FatCluster | cluster )

extern

## fat_table_set_bad()

int fat_table_set_bad | ( | FatTable * | ft,
|  | FatCluster | cluster )

extern

## fat_table_set_cluster_count()

int fat_table_set_cluster_count | ( | FatTable * | ft,
|  | FatCluster | new_cluster_count )

extern

## fat_table_set_eof()

int fat_table_set_eof | ( | FatTable * | ft,
|  | FatCluster | cluster )

extern

## fat_table_write()

int fat_table_write | ( | const FatTable * | ft,
|  | PedFileSystem * | fs,
|  | int | table_num )

extern

## fat_table_write_all()

int fat_table_write_all | ( | const FatTable * | ft,
|  | PedFileSystem * | fs )

extern